> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/insight/ssp

> Returns SSP insights data for the given filters



## OpenAPI

````yaml /openapi.json get /v1/report/insight/ssp
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/report/insight/ssp:
    get:
      tags:
        - Reporting/Insights Hub/SSP Insights
        - public
      summary: /report/insight/ssp
      description: Returns SSP insights data for the given filters
      parameters:
        - name: uid
          in: query
          description: Publisher ID
          required: false
          example: 0
          schema:
            type: integer
        - name: range
          in: query
          description: Date range. All ranges exclude today and run up to yesterday
          required: false
          example: ''
          schema:
            type: string
            enum:
              - custom
              - all_time
              - seven_days
              - fourteen_days
              - thirty_days
              - three_months
              - six_months
              - week_to_date
              - month_to_date
              - quarter_to_date
              - year_to_date
              - last_week
              - last_month
              - last_quarter
              - last_year
              - month_on_month
              - quarter_on_quarter
              - yesterday
        - name: start
          in: query
          description: Start date when range=custom
          required: false
          schema:
            type: string
            format: date
        - name: end
          in: query
          description: End date when range=custom
          required: false
          schema:
            type: string
            format: date
        - name: date_group
          in: query
          description: Date grouping when range=custom
          required: false
          schema:
            type: string
            enum:
              - day
              - month
              - year
            default: day
        - name: dimension
          in: query
          description: Dimension to report on
          required: false
          example: ''
          schema:
            type: string
            enum:
              - unit
              - config
              - geo
              - device
              - partner
        - name: rev_type
          in: query
          description: Revenue type
          required: false
          schema:
            type: string
            enum:
              - gross
              - net
            default: gross
        - name: rev_source
          in: query
          description: Revenue source, SaaS or Plug&Play (pap)
          required: false
          schema:
            type: string
            enum:
              - all
              - pap
              - saas
            default: all
        - name: ssp
          in: query
          description: SSP to filter on
          required: false
          schema:
            type: string
            default: <string>
        - name: aggregate
          in: query
          description: Aggregation method
          required: false
          schema:
            type: string
            enum:
              - average
              - total
        - name: environment
          in: query
          description: Environment or platform to report from
          required: false
          schema:
            type: string
            enum:
              - all
              - app
              - web
            default: all
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      currency:
                        type: string
                      dimension:
                        type: array
                        items:
                          type: string
                      bid_requests:
                        type: array
                        items:
                          type: integer
                      bids:
                        type: array
                        items:
                          type: integer
                      won_bids:
                        type: array
                        items:
                          type: integer
                      no_bids:
                        type: array
                        items:
                          type: integer
                      lost_bids:
                        type: array
                        items:
                          type: integer
                      bid_revenue:
                        type: array
                        items:
                          type: number
                      won_bid_revenue:
                        type: array
                        items:
                          type: number
                      stats:
                        type: object
                        properties:
                          bid_requests:
                            type: integer
                          bids:
                            type: integer
                          won_bids:
                            type: integer
                          no_bids:
                            type: integer
                          lost_bids:
                            type: integer
                          bid_revenue:
                            type: number
                          won_bid_revenue:
                            type: number
                          compare:
                            type: object
                            properties:
                              bid_requests:
                                type: integer
                              bids:
                                type: integer
                              no_bids:
                                type: integer
                              won_bids:
                                type: integer
                              lost_bids:
                                type: integer
                            required:
                              - bid_requests
                              - bids
                              - no_bids
                              - won_bids
                              - lost_bids
                          top_performer:
                            type: object
                            properties:
                              dimension:
                                type: string
                              no_bids:
                                type: integer
                              bids:
                                type: integer
                              won_bids:
                                type: integer
                              bid_requests:
                                type: integer
                              lost_bids:
                                type: integer
                              won_bid_revenue:
                                type: number
                              bid_revenue:
                                type: number
                              compare:
                                type: object
                                properties:
                                  dimension:
                                    type: string
                                  no_bids:
                                    type: integer
                                  bids:
                                    type: integer
                                  won_bids:
                                    type: integer
                                  bid_requests:
                                    type: integer
                                  lost_bids:
                                    type: integer
                                  won_bid_revenue:
                                    type: number
                                  bid_revenue:
                                    type: number
                                required:
                                  - dimension
                                  - no_bids
                                  - bids
                                  - won_bids
                                  - bid_requests
                                  - lost_bids
                                  - won_bid_revenue
                                  - bid_revenue
                            required:
                              - dimension
                              - no_bids
                              - bids
                              - won_bids
                              - bid_requests
                              - lost_bids
                              - won_bid_revenue
                              - bid_revenue
                              - compare
                          bottom_performer:
                            type: object
                            properties:
                              dimension:
                                type: string
                              no_bids:
                                type: integer
                              bids:
                                type: integer
                              won_bids:
                                type: integer
                              bid_requests:
                                type: integer
                              lost_bids:
                                type: integer
                              won_bid_revenue:
                                type: number
                              bid_revenue:
                                type: number
                              compare:
                                type: object
                                properties:
                                  dimension:
                                    type: string
                                  no_bids:
                                    type: integer
                                  bids:
                                    type: integer
                                  won_bids:
                                    type: integer
                                  bid_requests:
                                    type: integer
                                  lost_bids:
                                    type: integer
                                  won_bid_revenue:
                                    type: number
                                  bid_revenue:
                                    type: number
                                required:
                                  - dimension
                                  - no_bids
                                  - bids
                                  - won_bids
                                  - bid_requests
                                  - lost_bids
                                  - won_bid_revenue
                                  - bid_revenue
                            required:
                              - dimension
                              - no_bids
                              - bids
                              - won_bids
                              - bid_requests
                              - lost_bids
                              - won_bid_revenue
                              - bid_revenue
                              - compare
                        required:
                          - bid_requests
                          - bids
                          - won_bids
                          - no_bids
                          - lost_bids
                          - bid_revenue
                          - won_bid_revenue
                          - compare
                          - top_performer
                          - bottom_performer
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            dimension:
                              type: string
                            no_bids:
                              type: integer
                            bids:
                              type: integer
                            won_bids:
                              type: integer
                            bid_requests:
                              type: integer
                            lost_bids:
                              type: integer
                            won_bid_revenue:
                              type: number
                            bid_revenue:
                              type: number
                          required:
                            - dimension
                            - no_bids
                            - bids
                            - won_bids
                            - bid_requests
                            - lost_bids
                            - won_bid_revenue
                            - bid_revenue
                    required:
                      - currency
                      - dimension
                      - bid_requests
                      - bids
                      - won_bids
                      - no_bids
                      - lost_bids
                      - bid_revenue
                      - won_bid_revenue
                      - stats
                      - data
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  currency: GBP
                  dimension:
                    - appnexus
                    - criteo
                    - ix
                    - ogury
                    - pubmatic
                    - rubicon
                    - seedtag
                  bid_requests:
                    - 93708551
                    - 73668796
                    - 84540546
                    - 1074
                    - 73245763
                    - 83359323
                    - 95420679
                  bids:
                    - 22064472
                    - 14601552
                    - 30424084
                    - 179
                    - 12245109
                    - 15027935
                    - 29643417
                  won_bids:
                    - 8609531
                    - 3509801
                    - 7479061
                    - 101
                    - 2673918
                    - 1480675
                    - 9904168
                  no_bids:
                    - 71644079
                    - 59067244
                    - 54116462
                    - 895
                    - 61000654
                    - 68331388
                    - 65777262
                  lost_bids:
                    - 13454941
                    - 11091751
                    - 22945023
                    - 78
                    - 9571191
                    - 13547260
                    - 19739249
                  bid_revenue:
                    - 18745.82438972
                    - 5967.73685295
                    - 15763.789292
                    - 0.0767347
                    - 8958.724171
                    - 9357.071539
                    - 28961.76876234
                  won_bid_revenue:
                    - 8365.27115324
                    - 2608.46206556
                    - 5246.3698921
                    - 0.05080034
                    - 2891.0359623
                    - 1493.5203965
                    - 15127.49987196
                  stats:
                    bid_requests: 503944732
                    bids: 124006748
                    won_bids: 33657255
                    no_bids: 379937984
                    lost_bids: 90349493
                    bid_revenue: 87754.99174171001
                    won_bid_revenue: 35732.210141999996
                    compare:
                      bid_requests: 417260441
                      bids: 85761755
                      no_bids: 331498686
                      won_bids: 22624574
                      lost_bids: 63137181
                    top_performer:
                      dimension: seedtag
                      no_bids: 65777262
                      bids: 29643417
                      won_bids: 9904168
                      bid_requests: 95420679
                      lost_bids: 19739249
                      won_bid_revenue: 15127.49987196
                      bid_revenue: 28961.76876234
                      compare:
                        dimension: seedtag
                        no_bids: 61644605
                        bids: 18144774
                        won_bids: 5640853
                        bid_requests: 79789379
                        lost_bids: 12503921
                        won_bid_revenue: 8460.67560254
                        bid_revenue: 17419.4672116
                    bottom_performer:
                      dimension: ogury
                      no_bids: 895
                      bids: 179
                      won_bids: 101
                      bid_requests: 1074
                      lost_bids: 78
                      won_bid_revenue: 0.05080034
                      bid_revenue: 0.0767347
                      compare:
                        dimension: seedtag
                        no_bids: 61644605
                        bids: 18144774
                        won_bids: 5640853
                        bid_requests: 79789379
                        lost_bids: 12503921
                        won_bid_revenue: 8460.67560254
                        bid_revenue: 17419.4672116
                  data:
                    - dimension: appnexus
                      no_bids: 71644079
                      bids: 22064472
                      won_bids: 8609531
                      bid_requests: 93708551
                      lost_bids: 13454941
                      won_bid_revenue: 8365.27115324
                      bid_revenue: 18745.82438972
                    - dimension: criteo
                      no_bids: 59067244
                      bids: 14601552
                      won_bids: 3509801
                      bid_requests: 73668796
                      lost_bids: 11091751
                      won_bid_revenue: 2608.46206556
                      bid_revenue: 5967.73685295
                    - dimension: ix
                      no_bids: 54116462
                      bids: 30424084
                      won_bids: 7479061
                      bid_requests: 84540546
                      lost_bids: 22945023
                      won_bid_revenue: 5246.3698921
                      bid_revenue: 15763.789292
                    - dimension: ogury
                      no_bids: 895
                      bids: 179
                      won_bids: 101
                      bid_requests: 1074
                      lost_bids: 78
                      won_bid_revenue: 0.05080034
                      bid_revenue: 0.0767347
                    - dimension: pubmatic
                      no_bids: 61000654
                      bids: 12245109
                      won_bids: 2673918
                      bid_requests: 73245763
                      lost_bids: 9571191
                      won_bid_revenue: 2891.0359623
                      bid_revenue: 8958.724171
                    - dimension: rubicon
                      no_bids: 68331388
                      bids: 15027935
                      won_bids: 1480675
                      bid_requests: 83359323
                      lost_bids: 13547260
                      won_bid_revenue: 1493.5203965
                      bid_revenue: 9357.071539
                    - dimension: seedtag
                      no_bids: 65777262
                      bids: 29643417
                      won_bids: 9904168
                      bid_requests: 95420679
                      lost_bids: 19739249
                      won_bid_revenue: 15127.49987196
                      bid_revenue: 28961.76876234
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````